ATS ModsATS Truck Mods

ATS – International 9900I V1.0 (1.31.X)

This is a fix for the International 9900i, so this works with version 1.30+. There is no need to download the old mod, just pop this in the mod folder and your good to go. Add Seeker on steam if you have an old mod that you want to work with the new versions on ATS.
WARNING: DO NOT PUT THIS WITH NEW TRUCK MODS OR ELSE IT WILL RESULT WITH GAME CRASH!

Authors: Superman, evh5150vanhalen, Danclark, Kapitan Kriechbaumand others Seeker for fixing it

Leave a Reply

Your email address will not be published. Required fields are marked *

Back to top button
Close